Bug 28624 - Smart::Comments not used and not installed
Summary: Smart::Comments not used and not installed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-24 07:44 UTC by Jonathan Druart
Modified: 2021-07-30 15:12 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28624: Remove Smart::Comments (2.70 KB, patch)
2021-06-24 07:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28624: Remove Smart::Comments (2.37 KB, patch)
2021-07-06 08:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28624: Remove Smart::Comments (2.41 KB, patch)
2021-07-09 13:13 UTC, David Nind
Details | Diff | Splinter Review
Bug 28624: Remove Smart::Comments (2.50 KB, patch)
2021-07-16 06:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-06-24 07:44:10 UTC
about.pl:#use Smart::Comments '####';
admin/preferences.pl:# use Smart::Comments;
labels/spinelabel-home.pl:# use Smart::Comments;
members/printslip.pl:#use Smart::Comments;
members/update-child.pl:# use Smart::Comments;
serials/subscription-add.pl:#use Smart::Comments;

But there are no '###' in those files.
Comment 1 Jonathan Druart 2021-06-24 07:49:14 UTC
Created attachment 122357 [details] [review]
Bug 28624: Remove Smart::Comments

It's not used in those files (there is no occurrence of ###), and it's
not installed anyway (it is by koha-testing-docker however).

We should remove those lines.

Test plan:
Confirm the above
Comment 2 David Nind 2021-06-24 14:27:04 UTC
Patch no longer applies 8-(...

Looks like members/printslip.pl is already fixed.
Comment 3 Jonathan Druart 2021-07-06 08:29:27 UTC
Created attachment 122602 [details] [review]
Bug 28624: Remove Smart::Comments

It's not used in those files (there is no occurrence of ###), and it's
not installed anyway (it is by koha-testing-docker however).

We should remove those lines.

Test plan:
Confirm the above
Comment 4 David Nind 2021-07-09 13:13:43 UTC
Created attachment 122742 [details] [review]
Bug 28624: Remove Smart::Comments

It's not used in those files (there is no occurrence of ###), and it's
not installed anyway (it is by koha-testing-docker however).

We should remove those lines.

Test plan:
Confirm the above

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Marcel de Rooy 2021-07-16 06:43:21 UTC
Created attachment 122868 [details] [review]
Bug 28624: Remove Smart::Comments

It's not used in those files (there is no occurrence of ###), and it's
not installed anyway (it is by koha-testing-docker however).

We should remove those lines.

Test plan:
Confirm the above

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2021-07-26 10:48:11 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-07-30 15:12:38 UTC
Enhancement not backported for 21.05